package electrosphere.client.entity.character;

import electrosphere.entity.types.creature.CreatureTemplate;

/**
 * Describes a character
 */
public class CharacterDescription {
    
    /**
     * The id of the character
     */
    String id;

    /**
     * The character's template data
     */
    CreatureTemplate template;

    /**
     * Gets the id of the character
     * @return The id
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the id of the character
     * @param id The id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * Gets the creature template for the character
     * @return The creature template
     */
    public CreatureTemplate getTemplate() {
        return template;
    }

    /**
     * Sets the creature template for the character
     * @param template The creature template
     */
    public void setTemplate(CreatureTemplate template) {
        this.template = template;
    }
    

}
